VirtualBox

Ticket #4069 (closed defect: worksforme)

Opened 5 years ago

Last modified 5 years ago

"VERR_VM_DRIVER_VERSION_MISMATCH" on start try for a virtual machine configuration

Reported by: elfring Owned by:
Priority: major Component: other
Version: VirtualBox 2.2.2 Keywords: driver, version, mismatch
Cc: Guest type: Linux
Host type: Linux

Description

I built and installed the current VirtualBox development (trunk) software for my own kernel.
Linux Sonne 2.6.29.3-default #1 SMP PREEMPT Mon May 18 20:02:15 CEST 2009 x86_64 x86_64 x86_64 GNU/Linux

Now I try to look at a virtual machine for the image file "KNOPPIX_V6.0.1-ADRIANE_V1.1CD-2009-02-08-DE.iso". Unfortunately, I get the messsage "RTR3Init failed with rc=-1912" in the dialogue "Error In supR3HardenedMain".

Another dialogue contains the message "Virtual machine 'Knoppix 6.0.1' has terminated unexpectedly during startup." and the following details.

Fehlercode: NS_ERROR_FAILURE (0x80004005)
Komponente: Machine
Interface: IMachine {13420cbb-175a-4456-85d0-301126dfdec7}

This return code seems to be connected with the symbol "VERR_VM_DRIVER_VERSION_MISMATCH". A solution is offered by the article "Setup Jail". I do not follow this suggestion to create a 64-bit chroot environment because I expect that all required components should be already available for the specific processor architecture on my system.

I wonder a bit about the situation that the command "make install" did not put any binaries into the directories "/usr/local/bin" and "/usr/local/lib64".

Is the following information useful for this issue?

Sonne:~ # VBoxManage -v
2.2.2_OSEr46594

Change History

comment:1 Changed 5 years ago by adrianb

We have a similar problem. I get that error message on VirtualBox 3.0.4 OSE and 3.0.6 OSE running on kernel 2.6.31. I don't get the problem on 2.6.24.7.

comment:2 follow-up: ↓ 3 Changed 5 years ago by frank

  • Status changed from new to closed
  • Resolution set to worksforme

I will close this one. 'make install' is not sufficient to install the binaries. For such questions please go to the forum or to the vbox-dev mailing list.

comment:3 in reply to: ↑ 2 ; follow-up: ↓ 4 Changed 5 years ago by elfring

Replying to frank:

'make install' is not sufficient to install the binaries.

I find your explanation strange because this way is mentioned in the  build instructions.

I guess that this issue will be continued with the topic "VERR_VM_DRIVER_VERSION_MISMATCH errors under kernel 2.6.31".

comment:4 in reply to: ↑ 3 Changed 5 years ago by adrianb

Replying to elfring:

Replying to frank:

'make install' is not sufficient to install the binaries.

I find your explanation strange because this way is mentioned in the  build instructions.

'make install' in the guide refers to the kernel modules.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use